#
# spec file for package yast2-mail
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           yast2-mail
Version:        3.1.10
Release:        2.1

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2

BuildRequires:  update-desktop-files
BuildRequires:  yast2
BuildRequires:  yast2-devtools >= 3.1.10
BuildRequires:  yast2-testsuite

PreReq:         %fillup_prereq

# new firewall interface
# Wizard::SetDesktopTitleAndIcon
# cfg_mail.scr
Requires:       yast2 >= 3.1.179
Requires:       yast2-ldap
Requires:       yast2-users
BuildArch:      noarch
Requires:       yast2-ruby-bindings >= 1.0.0

Summary:        YaST2 - Mail Configuration
License:        GPL-2.0+
Group:          System/YaST

%description
The YaST2 component for mail configuration. It handles Postfix, Cyrus,
Amavis and Fetchmail.

%prep
%setup -n %{name}-%{version}

%build
%yast_build

%install
%yast_install

%post
%{fillup_only -n mail}

%files
%defattr(-,root,root)
%dir %{yast_yncludedir}/mail
%{yast_yncludedir}/mail/*
%dir %{yast_clientdir}
%{yast_clientdir}/mail*
%dir %{yast_moduledir}
%{yast_moduledir}/Mail.rb
%dir %{yast_desktopdir}
%{yast_desktopdir}/mail.desktop
%dir %{yast_schemadir}/autoyast/rnc
%{yast_schemadir}/autoyast/rnc/mail.rnc
%{yast_scrconfdir}/*
%dir %{yast_agentdir}
%{yast_agentdir}/ag_fetchmailrc
%{yast_agentdir}/ag_mailconfig
%{yast_agentdir}/ag_mail_ldaptable
%{yast_agentdir}/ag_mailtable
%{yast_agentdir}/ag_smtp_auth
%{yast_agentdir}/MasterCFParser.pm
%{yast_agentdir}/ag_fetchmailrc
%{yast_agentdir}/ag_mailtable
%attr(0755,root,root) %{yast_agentdir}/setup_dkim_verifying.pl

%dir /etc/openldap/
%dir /etc/openldap/schema/
/etc/openldap/schema/suse-mailserver.schema
%doc %{yast_docdir}

/var/adm/fillup-templates/sysconfig.mail

%changelog
* Tue Sep 20 2016 jreidinger@suse.com
- Reduce build dependencies to speed up build (bsc#999203)
- 3.1.10
* Tue Jun  7 2016 igonzalezsosa@suse.com
- Stop generating autodocs (fate#320356)
- 3.1.9
* Tue May 24 2016 varkoly@suse.com
- bnc#981103 - yast2 mail uses always brackets for relayhost
- bnc#981101 - yast2 mail adds POSTFIX_NODAEMON to /etc/sysconfig/postfix
- 3.1.8
* Wed Mar 16 2016 knut.anderssen@suse.com
- Moved cfg_mail.scr to yast2 due to circular dependencies with
  yast2-security and yast2-users. (FATE#319711)
- 3.1.7
* Tue Nov 17 2015 igonzalezsosa@suse.com
- Fix validation of AutoYaST profiles (bsc#954412)
- 3.1.6
* Thu Dec  4 2014 jreidinger@suse.com
- remove X-KDE-Library from desktop file (bnc#899104)
- 3.1.5
* Tue Sep 16 2014 varkoly@suse.com
- bnc#878514 - SLED12_LOC : ALL_LANGS:Untranslated text in Mail Server dialog in YaST
- 3.1.4
* Sun Aug 31 2014 varkoly@suse.com
- bnc#889189 - [yast2-users] crashes on "Invalid version format
  (non-numeric data) at .../perl5/5.20.0/Symbol.pm"
- 3.1.3
* Thu Feb 13 2014 varkoly@suse.com
- Remove advanced mode. The new LDA dovecot provides a more
  complex ldap and sql backend than postfix. Therefore we
  do not provide the yast2-mail advanced mode any more.
* Fri Jan 31 2014 varkoly@suse.com
- Use dovecot instead of cyrus for imap.
* Wed Nov 13 2013 jreidinger@suse.com
- Add explicit COPYING file
* Thu Sep 19 2013 lslezak@suse.cz
- do not use *.spec.in template, use *.spec file with RPM macros
  instead
- 3.1.0
* Wed Jul 31 2013 yast-devel@opensuse.org
- converted from YCP to Ruby by YCP Killer
  (https://github.com/yast/ycp-killer)
- version 3.0.0
* Sun Apr 21 2013 varkoly@suse.com
- bnc#800788 - ag_postfix_mastercf process hangs the system,
  after which it is killed by kernel, when saving
  mail server settings with Yast "Mail Server" module
- Mark permissions files as %%config
- The ldap tables was not proper. All functions for forwarding
  and delivery must be placed in alias_maps and not in
  virtual_alias_map. Forwarding or delivering actions in virtual_alias_map
  may cause mail loops.
* Thu Nov  8 2012 varkoly@suse.com
- bnc#784659 - remove SuSEconfig calls from yast2-mail
- bnc#782048 - postfix uses /sbin/conf.d
* Thu Mar 29 2012 jsuchome@suse.cz
- merged proofread texts
* Wed Jan 25 2012 varkoly@suse.com
- bnc#743369 - yast2 mail module does not open the firewall
* Wed Dec  7 2011 coolo@suse.com
- fix license to be in spdx.org format
* Wed Oct 26 2011 varkoly@suse.com
- bnc#723742 - SLES11_SP2_LOC : The 'No Outgoing Mail' radio button can't check in Mail server global settings panel!
* Thu Sep 29 2011 visnov@suse.cz
- set dialog title
- 2.21.1
* Mon Sep 19 2011 visnov@suse.cz
- remove unneeded dialogs and dependency on Wizard_hw
- 2.21.0
* Fri Aug  5 2011 tgoettlicher@suse.de
- fixed .desktop file (bnc #681249)
* Mon Jul 25 2011 andrea.turrini@gmail.com
- Fixed typo in description of yast2-mail.spec
* Tue Jan  4 2011 lslezak@suse.cz
- fixed syntax error
- 2.20.0
* Thu Nov 25 2010 varkoly@suse.de
- bnc#649549 - yast2-mail doesn't enable and start cyrus-imapd
* Thu Aug 12 2010 varkoly@novell.com
- bnc#586486 Multiple Issues with Yast Configuration of Postfix MTA for Relaying over SMTP
- Enhance warning if use advanced configuration
* Wed Apr  7 2010 varkoly@novell.com
- Initial version of daemonless postfix solution: A new script
  /usr/sbin/check_mail_queue can check the queue if there are some
  messages to deliver. If so postfix will  be started, mails will
  be delivered, and postfix will be stoped it queue is empty.
- Add missed requirement for yast2-mail-plugins
* Thu Mar 25 2010 varkoly@novell.com
- bnc#421040 - alignment of add/edit/delete in mail transfer agent module
* Sun Feb 28 2010 varkoly@novell.com
- bnc#584093 yast2-mail creates bad amavisd.conf
* Wed Jan 27 2010 varkoly@suse.de
- fixed syntax errors
- Apply jsuchomes changes from bnc#559145
  Export and Import smtp_use_TLS: no yes may
  Export and Import smtp_use_TLS
- Reorganize ldap tables
* Wed Jan 13 2010 kmachalkova@suse.cz
- Adjusted .desktop file(s) to wrap /sbin/yast2/ calls in xdg-su
  where root privileges are needed, removed X-KDE-SubstituteUID key
  (bnc#540627)
* Sat Nov 21 2009 varkoly@suse.de
- bnc#555814 – VUL-0: SMTPD_LISTEN_REMOTE="yes" by default
* Mon Sep 28 2009 varkoly@suse.de
- bnc#532518 – YaST in translation (use 'YaST' instead of 'YaST2')
* Tue Sep  8 2009 varkoly@suse.de
- Reorganize ldap tables
* Fri Aug  7 2009 varkoly@suse.de
- remove redefinition of read_attribute
* Mon Jul 20 2009 varkoly@suse.de
- bnc#491113 - fetchmail demon is started though disabled in runlevel
  editor when configuring email via network services
* Mon Jul 20 2009 varkoly@suse.de
- bnc#488677 - yast2-mail "Advanced config" overwrites mailman settings
- alias map ldap search must be sub
* Tue Apr 14 2009 varkoly@suse.de
- bnc#490688 – rename mail server module from "Mail Transfer Agent" to "Mail Server"
* Tue Mar 31 2009 varkoly@suse.de
- If starting the virus scanner freshclam have to be started also
* Mon Mar  9 2009 varkoly@suse.de
-  bnc#483639 - yast2 mail server's master.cf parser do not writes some lines
* Sun Jan 25 2009 varkoly@suse.de
- saslauthd and cyrus must be started and enabled by YaPI
- Serial of SOA Record must not be greater then 4294967295
* Thu Jan 22 2009 varkoly@suse.de
- bnc#467589 - Cyrus don't create Directory for new LDAP User at first run.
- bnc#467562 - Yast mail doesn't install needed Spamassassin Package for SPAM learning extension for Mailserver
* Mon Jan 19 2009 varkoly@suse.de
- bnc#466748 - yast2-mail-plugins broken
* Thu Jan  8 2009 varkoly@suse.de
- avoid undefined variables in the MasterCFParser
- make progress bar by WriteDialog visable
- bnc#463589 - YaST2 Mail Server & amavisd
- the myhostname in /etc/amavisd.conf must be set to FQHN
- bnc#463430 - Mail to a shared folder can couse infinit loop
* Fri Dec 12 2008 varkoly@suse.de
- bnc#458553 - YaSt2 Mail module do not install cyrus-sasl-saslauthd
- new user has got default quota only
- quota value not readable in ncurses
* Tue Dec  9 2008 varkoly@suse.de
- (bnc#450888) - amavisd.conf broken (Beta6)
* Sun Nov 16 2008 varkoly@suse.de
- (bnc#431002) – Yast2 mail client lacking important features
* Sun Nov 16 2008 varkoly@suse.de
- (bnc#395293) - yast2-dns-server and yast2- mail do not co-operate correctly
- 2.17.1
* Mon Nov 10 2008 jsuchome@suse.cz
- do not lowercase LDAP attribute names
- 2.17.0
* Fri Nov  7 2008 varkoly@suse.de
- (bnc#440096) - LDAP mail plugin always sets imap quota even if not checked
* Tue Nov  4 2008 varkoly@suse.de
- integer value have to be marked for yast modules
* Mon Oct  6 2008 varkoly@suse.de
- (bnc#432405) - typo in mail.pot
* Sun Sep 28 2008 varkoly@suse.de
- Fixing (bnc#422022) - HTML markup shows in YAST dialogue
* Thu Sep 11 2008 varkoly@suse.de
- (bnc#425343) - string in mail.po not written well
* Thu Sep 11 2008 jsrain@suse.cz
- merged texts from proofread
* Wed Sep 10 2008 varkoly@suse.de
- fix: use the right widget for get a number
* Wed Aug 20 2008 sschober@suse.de
- fixed rnc file for autoyast
* Sat Jul 26 2008 varkoly@suse.de
- Add missed Requires: perl-NetxAP
* Thu Jul 24 2008 varkoly@suse.de
- API changes in yast2-users and yast2-ldap
* Fri Jun 27 2008 varkoly@suse.de
- openldap do not contains /etc/openldap anymore
* Thu Jun  5 2008 varkoly@suse.de
- the variable $max_servers in /etc/amavisd.conf must be equal to the max
  processes in /etc/postfix/master.cf for amavisd.
- typo in UsersPlugin
* Mon May 26 2008 varkoly@suse.de
- adapt the new acls
- allow plaitext login method for cyrus imapd
- (bnc#394302) - YaST User Module Mail-Setting
* Wed May 21 2008 varkoly@suse.de
- fixing some GUI bugs
- fixing ldap client detection
- (bnc#389144) - LDAP Client crash
* Fri May 16 2008 jsrain@suse.cz
- added categories Settings and System into desktop file
  (bnc #382778)
* Thu May  8 2008 varkoly@suse.de
- (bnc#337365) - YaST2 Mail (Mailserver) Module is not working
- (bnc#278535) - YaST2 mail dialog does not offer help on the "No connection" setting
- bugfix: it was not possible to connect to an existen LDAP-server during
  the configuration
- bugfix: check if bind-utils is installed. We need the dnsZone.schema
  file
- (bnc#337398) - Long time bug in yast mail transfer agent module regarding
  relayhost port setting
- (bnc#335524) Advanced Mail Transfer Agent cannot access LDAP server
- fixing the return values of wizard elements
- 2.16.3
* Fri Apr 18 2008 jsrain@suse.cz
- merged texts from proofread
- 2.16.2
* Mon Mar 17 2008 jsrain@suse.cz
- added 'StartupNotify=true' to the desktop file (bnc #304964)
- 2.16.1
* Thu Jan 24 2008 mzugec@suse.de
- replace deprecated NetworkDevices by NetworkInterfaces (from yast2)
- 2.16.0
* Sun Dec 30 2007 pv@suse.de
- #278535 - YaST2 mail dialog does not offer help on the "No connection" setting
- bugfix: it was not possible to connect to an existen LDAP-server during
  the configuration
- bugfix: check if bind-utils is installed. We need the dnsZone.schema
  file
- #337398 - Long time bug in yast mail transfer agent module regarding
  relayhost port setting
- #335524 Advanced Mail Transfer Agent cannot access LDAP server
- fixing the return values of wizard elements
- 2.15.24
* Mon Sep 24 2007 pv@suse.de
- #327550 - yast2-mail fetchmail error
- 2.15.23
* Fri Sep 14 2007 varkoly@suse.de
- fixing mail advanced setup vizard
  [#304721] - yast mail does not understand the "help" option
- 2.15.22
* Tue Sep  4 2007 varkoly@suse.de
- #291378 - Enable Virus scanning does not install clamav
- #266883 - yast2-mail attempts to parse the package database everytime although I have not selected to install more stuff.
- #304707 - yast2 mail gives error
* Mon Aug 13 2007 coolo@suse.de
- avoid provides/obsoletes without version
* Fri Aug 10 2007 jsrain@suse.cz
- conflict pre-10.3 aaa_base (#294054)
* Wed May 30 2007 varkoly@suse.de
- move sysconfig.mail from aaa_base
- include first version of the wizard to decide wich kind of
  mail configuration will be done
* Fri May 25 2007 jsrain@suse.cz
- removed outdated translations from .desktop-files (#271209)
* Tue May  8 2007 varkoly@suse.de
- Move MailTableInclude.pm MailTable.pm to yast2.
- 2.15.9
* Fri May  4 2007 varkoly@suse.de
- drop package: yast2-mail-alias move modul file MailAlias.ycp to
  the package yast2 (269867 - build cycle between yast2-users and yast2-mail)
- new package:  yast2-mail-plugins
  This package contains the plugins for the yast2 users modul.
  This package is only requiered if postfix was configured to use
  LDAP as backend.
- 2.15.8
* Wed May  2 2007 aj@suse.de
- Require perl-NetxAP for Net::IMAP (#270647).
* Mon Apr 23 2007 varkoly@suse.de
- Include the testsuite directory
- 2.15.6
* Fri Apr 20 2007 varkoly@suse.de
- we need the package yast2-mail-aliases too
- 2.15.5
* Thu Apr 19 2007 varkoly@suse.de
- First merged version with yast2-mail-server
- 2.15.4
* Tue Mar 13 2007 mvidner@suse.cz
- Added missing dependency on yast2-ldap (#253948).
- 2.15.3
* Mon Mar 12 2007 mvidner@suse.cz
- Adjusted testsuite for firewall changes.
- 2.15.2
* Tue Jan 30 2007 mvidner@suse.cz
- Adjusted testsuite for changes in yast2-2.15.4.
- 2.15.1
* Wed Jan  3 2007 mvidner@suse.cz
- Converted ag_mailtable to a module to eliminate parsing speed
  bottleneck. Tables of 50000 entries no longer cause hours
  of delays (#223560).
- 2.15.0
* Thu Dec 21 2006 mvidner@suse.cz
- schema: added mail_smtp_auth
* Mon Nov  6 2006 mvidner@suse.cz
- chown /etc/fetchmailrc to $FETCHMAIL_USER (#207305).
- display errors that occur during writing.
- 2.14.0
* Fri Oct 27 2006 mvidner@suse.cz
- Added and cleaned up schema piece for autoyast (mail.rnc).
- 2.13.7
* Mon Sep 11 2006 mvidner@suse.cz
- Fixed Progress nesting (#202351).
- Using autodocs-ycp.ami (with parentheses for automake-1.9.6).
- 2.13.6
* Tue Sep  5 2006 mvidner@suse.cz
- Copy the outgoing mail server from the authentication dialog to the
  main dialog to avoid inconsistency (#158220).
- Show also the users from LDAP or NIS (#158216),
  display a progress popup for that.
- At initialization, don't show a separate firewall progress dialog.
- 2.13.5
* Wed Aug 16 2006 kmachalkova@suse.cz
- Install cyrus-imapd if POSTFIX_MDA is set to 'cyrus' (#172108)
- 2.13.4
* Tue Mar  7 2006 mvidner@suse.cz
- Converted neededforbuild to BuildRequires
  and removed yast2-devel-packages.
- 2.13.3
* Tue Feb  7 2006 mvidner@suse.cz
- Marked some autoyast summary strings for translation (#146661).
* Mon Jan 16 2006 mvidner@suse.cz
- Again adjusted test cases for NetworkManager related changes (~#135595).
- 2.13.2
* Thu Jan  5 2006 mvidner@suse.cz
- Adjusted testsuite for changes in firewall code.
- 2.13.1
* Wed Nov 23 2005 mvidner@suse.cz
- ag_fetchmailrc: allow * as the local user to enable multidrop
  (with varkoly).
- 2.13.0
* Mon Sep  5 2005 mvidner@suse.cz
- If AMaViS is wanted install also ClamAV to prevent mail from
  piling up in the incoming queue (#115295).
- 2.12.4
* Fri Aug 12 2005 mvidner@suse.cz
- Added comments for translators.
* Thu Aug 11 2005 mvidner@suse.cz
- Added comments for ycpdoc.
- 2.12.3
* Tue May 17 2005 mvidner@suse.cz
- Reverted a misguided omission of an include file.
- 2.12.2
* Mon May 16 2005 mvidner@suse.cz
- Don't use "default" as an identifier.
- 2.12.1
* Mon Jan 31 2005 mvidner@suse.cz
- Adjusted testsuite for changes in firewall (build fix).
- 2.11.4
* Mon Jan 17 2005 jsuchome@suse.cz
- basic command line support
- 2.11.3
* Wed Dec 15 2004 mvidner@suse.cz
- Adapted to moving firewall code to yast2.rpm.
- 2.11.2
* Wed Nov 10 2004 mvidner@suse.cz
- Updated to new Mode.
- Replaced lookups and selects by brackets.
- 2.11.1
* Wed Sep 15 2004 mvidner@suse.cz
- Use Package[System] instead of Require, fixed cloning (#45071).
- 2.10.8
* Tue Sep 14 2004 locilka@suse.cz
- Fixed testsuites
- 2.10.7
* Tue Sep  7 2004 mvidner@suse.cz
- Readjusted testsuite, this time correctly.
- 2.10.6
* Mon Sep  6 2004 mvidner@suse.cz
- Adjusted testsuite to changes in yast2-firewall (#44650).
- 2.10.5
* Fri Sep  3 2004 mvidner@suse.cz
- Added GetModified, SetModified for autoyast (#43904, nashif).
- 2.10.4
* Tue Aug 24 2004 mvidner@suse.cz
- Fixed UI that was broken because of stricter type checking.
- Improved firewall config writing to cooperate with autoyast.
- 2.10.3
* Mon Aug 16 2004 mvidner@suse.cz
- Adjusted testsuite to changes in firewall.
- 2.10.2
* Fri Aug 13 2004 mvidner@suse.cz
- Added Open Firewall button to Incoming Mail.
- Allow testing the module as non-root.
- 2.10.1
* Thu Jun 17 2004 mvidner@suse.cz
- Moved cfg_mail.scr to yast2-mail-aliases to get rid of file conflicts.
- Added "testedfiles" to test cases to make it work with the new testsuite.
- 2.10.0
* Thu May 27 2004 mvidner@suse.cz
- Moved ag_fetchmailrc to yast2-mail-aliases because it's
  needed by yast2-mail-server (#40972)
- 2.9.16
* Tue May  4 2004 mvidner@suse.cz
- merged proofread messages
- 2.9.15
* Fri Apr 16 2004 mvidner@suse.cz
- Mail::Import returns boolean (nashif)
- 2.9.14
* Fri Apr  2 2004 mvidner@suse.cz
- changed license to GPL
- 2.9.13
* Thu Apr  1 2004 mvidner@suse.cz
- removed final confirmation popup, "Finish" is enough (#37554).
- 2.9.12
* Mon Mar 29 2004 mvidner@suse.cz
- enable/disable rcfetchmail (#37139)
- 2.9.11
* Thu Mar 25 2004 mvidner@suse.cz
- fixed local domain checking to allow "\$" (#36871)
- 2.9.10
* Fri Mar 12 2004 mvidner@suse.cz
- improved amavis help text (#17731)
- add wizard icons (jhumpol)
- use Sequencer, Service
- 2.9.9
* Wed Mar 10 2004 sh@suse.de
- V 2.9.8
- Migration to new wizard
* Tue Mar  9 2004 kkaempf@suse.de
- adapt look&feel (sh@suse.de)
- fix POSTFIX_MDA value (#35517, partly)
- 2.9.6
* Sun Mar  7 2004 kkaempf@suse.de
- adapt testsuite
* Fri Mar  5 2004 mvidner@suse.cz
- added type information (lslezak)
- merged proofread texts
- 2.9.5
* Thu Feb 19 2004 lslezak@suse.cz
- removed yast2-packager from Requires and neededforbuild
- version 2.9.4
* Tue Feb 10 2004 lslezak@suse.cz
- removed globals
- removed *.y2cc file
- version 2.9.3
* Fri Jan 30 2004 mvidner@suse.cz
- NI fixes to make it build
- 2.9.2
* Mon Jan 19 2004 jsrain@suse.de
- merged the new interpreter branch
* Fri Dec  5 2003 jsuchome@suse.cz
- syntax fixes for new interpreter, part 1: compatible with old one
- 2.9.1
* Mon Sep 15 2003 jsuchome@suse.cz
- write proper value for default of local domains
- 2.8.8
* Thu Sep 11 2003 nashif@suse.de
- #30291: return list of required packages for autoinstallation
* Thu Sep  4 2003 jsuchome@suse.cz
- fix: delivery mode not saved (#30032)
- proposal for local domains (#29919)
* Wed Sep  3 2003 jsuchome@suse.cz
- part of helptext was not shown
- 2.8.7
* Wed Aug 20 2003 jsuchome@suse.de
- removed redundant "initialization dialog" (#28779)
- 2.8.6
* Tue Aug 12 2003 nashif@suse.de
- Import settings directly
- Dont check for empty argument while importing to allow reset to
  default values
- 2.8.5
* Mon Aug 11 2003 jsuchome@suse.de
- proofread texts: 1st round
* Mon Aug  4 2003 mvidner@suse.de
- Added desktop file (supersedes y2cc file).
- 2.8.4
* Fri Aug  1 2003 mvidner@suse.cz
- Testsuite: don't expose perl-internal hash ordering (fixes build).
- 2.8.3
* Wed Jul 23 2003 mvidner@suse.cz
- Implemented postfix delivery mode (#26052).
- Reverted the fetchmail run mode switch (#22903).
- Adjusted for the switch to amavisd-new. (Widget visible only if
  the package is on the installasion source)
- MailAliases does not import Summary and Report anymore (build fix).
- 2.8.2
* Fri Jun 20 2003 mvidner@suse.cz
- Split the general dialog into outgoing and incoming again (~#17731).
- Default MTA for autoinstallation is postfix.
- ag_fetchmail: preserve unparsed items.
- Moved MailAliases stuff back from yast2.rpm,
  creating a yast2-mail-aliases subpackage (#18212).
- Added widgets for postfix delivery mode (#26052)
  and fetchmail run mode (#22903), dummy so far.
- 2.8.1
* Mon Apr  7 2003 mvidner@suse.cz
- Added screenshot mode.
- 2.8.0
* Mon Mar  3 2003 mvidner@suse.de
- Don't squash frame title in the MTA selection dialog (#23979).
- Install fetchmail if some entries are configured, regardless
  of the connection type.
- Enhanced package installation for autoyast.
- Don't set Mode::config to true in _auto clients. (nashif)
- Don't export empty map values (nashif).
- Texts from final proofreading.
- 2.7.6
* Thu Feb 13 2003 mvidner@suse.de
- Check also for the daemon variants of amavis.
- Use the Network Services group in the control center for the icon.
- 2.7.5
* Mon Feb 10 2003 jsuchome@suse.de
- proofread texts: 3rd round
* Mon Feb  3 2003 mvidner@suse.de
- Added a SMTP-AUTH dialog (#23000, with phadraba).
- Relaxed Import checks, added Read to _auto (nashif).
- Merged proofread texts.
- 2.7.4
* Mon Jan 20 2003 mvidner@suse.de
- Fixed the auto dispatcher (Import) (nashif).
- 2.7.3
* Tue Jan 14 2003 mvidner@suse.de
- Added function key shortcuts for ncurses.
* Fri Jan 10 2003 mvidner@suse.de
- Prevent agent from returning strings as integers/booleans (#21804).
- Using the new *_auto dispatcher (nashif).
- 2.7.2
* Thu Dec  5 2002 mvidner@suse.cz
- Use the faked Pkg instead of the real one to prevent testsuite failures.
- 2.7.1
* Tue Sep 10 2002 mvidner@suse.cz
- Provide/Obsolete yast2-trans-sendmail (SL7.3).
- 2.6.17
* Wed Sep  4 2002 mvidner@suse.cz
- Fixed SetFocus if the 'Outgoing mail server' field is invalid.
- Build fix: Synced the test suite with the package manager.
- 2.6.16
* Fri Aug 30 2002 mvidner@suse.cz
- Amavis checkbox moved to the first dialog so that
  it does not imply scanning incoming mail only (#17731).
- 2.6.15
* Mon Aug 26 2002 mvidner@suse.cz
- Unify the no connection case so that also postfix is always started;
  that way the mail is bounced immediately and does not wait in the queue.
- Control center: Rename Mail to Mail Transfer Agent (#18058).
- Again adapt to the new packagemanager interface (#18253).
- 2.6.14
* Fri Aug 23 2002 mvidner@suse.cz
- Adapt to the new packagemanager interface (#18253).
- If neither postfix nor sendmail is found, terminate (#18253).
- Outgoing mail server must not be empty in dialup mode (#18146).
- Instead of "The {host,domain} name is incorrect", show a standard
  description of a valid address/name. (no new text)
- 2.6.13
* Sun Aug 11 2002 mvidner@suse.cz
- Let the tables keep the keyboard focus (#16116 workaround).
- 2.6.12
* Mon Aug  5 2002 mvidner@suse.cz
- Fixed saving the fetchmail configuration
  with a permanent connection (#17417).
- Fixed help text in the connection type dialog.
- 2.6.11
* Wed Jul 31 2002 mvidner@suse.cz
- Added comments for translators
- 2.6.10
* Mon Jul 29 2002 mvidner@suse.cz
- yast2-runlevel is no longer required.
- Tests fixed for perl 5.8.0.
- 2.6.9
* Fri Jul 19 2002 mvidner@suse.cz
- Separated aliases handling into yast2.rpm/MailAliases.ycp (~#11730).
- Merged proofread texts.
- 2.6.8
* Fri Jul 12 2002 arvin@suse.de
- use proper namespace for Args and CallFunction (#16776)
* Thu Jul 11 2002 mvidner@suse.cz
- minor dependency and build adjustments
- 2.6.5
* Fri Jul  5 2002 arvin@suse.de
- moved non binary files to /usr/share/YaST2
* Fri Jun 28 2002 msvec@suse.cz
- package renamed
- 2.6.3
* Thu Jun 20 2002 mvidner@suse.cz
- 'Accept remote SMTP connections' checkbox added (SMTPD_LISTEN_REMOTE).
- Dialogs completely reshuffled to put most frequently used settings
  in one dialog and enable configuring mail after configuring
  a modem/network card (#13565).
- Autoyast:
  * merge_aliases removed because it is implied by the aliases.d scheme.
  * Summary of lists and maps fixed to show the primary item.
- Removed trans package dependency.
* Thu May 23 2002 mvidner@suse.cz
- Added Mail::{Get,Set}RootAlias, bug 11730.
- Adapted to new autoinstall configuration system (nashif).
- Using current devtools; menuentries -> config.
- 2.6.2
* Mon Mar 18 2002 mvidner@suse.cz
- Fix adding/editing fetchmail entries (#15130, broken in 2.5.16).
- Don't install fetchmail yet if there are no items configured. (#15060)
- 2.5.17
* Fri Mar 15 2002 mvidner@suse.cz
- Check that input fields are valid. (#14980)
- Translate the window close button to Abort. (#14948)
- 2.5.16
* Wed Mar  6 2002 mvidner@suse.cz
- Added manual MTA selection for autoyast. (#14481)
- 2.5.15
* Mon Feb 25 2002 mvidner@suse.cz
- ag_mailtable: Fixed the last fix.
- 2.5.14
* Fri Feb 22 2002 mvidner@suse.cz
- Always start sendmail, even without a net connection. (#13188)
- SENDMAIL_ARGS updated.
- ag_mailtable: Don't complain when preloaded from y2cc.
- 2.5.13
* Tue Feb 19 2002 mvidner@suse.cz
- Hide the button that enables AMaViS if it is not installable.
- 2.5.12
* Mon Feb 18 2002 mvidner@suse.cz
- Disabled Aliases and Virtual domains buttons for No connection (#13407).
- Fixed disabling of Edit and Delete buttons.
- Improved comment handling in mail tables (aliases etc.)
- 2.5.11
* Fri Feb 15 2002 mvidner@suse.cz
- Fixed reading and writing of /etc/fetchmailrc.
- Abort if we do not understand user's fetchmailrc, not to overwrite it.
- Another proofreading.
- 2.5.10
* Mon Feb 11 2002 mvidner@suse.cz
- Don't add brackets to relayhost for Postfix.
- Added headings and focus for input popups.
- 2.5.9
* Wed Feb  6 2002 mvidner@suse.cz
- Added provides of yast2-config-sendmail-devel and old yast2-config-network.
- Install also fetchmail if needed.
- Present a confirmation message before writing and installing.
- 2.5.8
* Fri Feb  1 2002 mvidner@suse.cz
- Service activation. (#12986)
- Autoinstallation can disable suseconfig and service activation.
- Aliases and Virtual domains moved out of the main workflow. (#12952)
- Fixed SENDMAIL_ARGS for dial-up.
- Input of Domains to masquerade fixed.
- Had the English texts proofread.
- 2.5.7
* Mon Jan 28 2002 mvidner@suse.cz
- Check if cf files are not to be touched (MAIL_CREATE_CONFIG).
- Added missing agents.
- Don't log data containing passwords.
- Removed unused functions.
- Added comments for translators.
- 2.5.6
* Mon Jan 21 2002 mvidner@suse.cz
- Added an option to use a virus scanner (AMaViS).
- 2.5.5
* Tue Jan 15 2002 mvidner@suse.cz
- Include forgotten agent configurations.
- Obsolete yast2-config-sendmail.
- Using ini-agent instead of rc-agent.
- 2.5.4
* Mon Jan 14 2002 mvidner@suse.cz
- /etc/fetchmailrc: use permissions 0600, refer to file format docs.
- Control center group changed to Network/Basic.
- 2.5.3
* Fri Jan 11 2002 mvidner@suse.cz
- Using /etc/sysconfig/* instead of  /etc/rc.config* .
- Autoinstallation: properly signal a cancel.
- Updated help texts.
- 2.5.2
* Thu Dec 13 2001 mvidner@suse.cz
- alpha version
